Update an opt-in process
1 min
POST
https://api.campaign.episerver.net/rest/{clientId}/optinprocesses/{optinProcessId}
clientIdstringClient ID
optinProcessIdinteger<int64><p>Opt-in process ID</p>
acceptstringGenerated from available response content types
confirmationMailingIdinteger<int64><p>ID of the mailing that is used for the opt-in process (only opt-in processes of type "confirmed" or "double")</p>
confirmationUrlstring<p>URL of the confirmation page to which the recipient is directed to complete the registration process (only opt-in processes of type "double")</p>
namestring<p>Internal name of the opt-in process</p>
typestring<single | confirmed | double><p>Type of the opt-in process</p>
descriptionstring<p>Internal description of the opt-in process</p>
200<p>The opt-in process was updated successfully.</p>
curl --request POST \
--url https://api.campaign.episerver.net/rest/{clientId}/optinprocesses/{optinProcessId} \
--header 'accept: application/json' \
--header 'content-type: application/x-www-form-urlencoded' \
--data 'name=string' \
--data 'type=single'